/**
    * ajax封装
    * url 发送请求的地址
    * data 发送到服务器的数据，数组存储，如：{"date": new Date().getTime(), "state": 1}
    * dataType 预期服务器返回的数据类型，常用的如：xml、html、json、text
    * successfn 成功回调函数
    * errorfn 失败回调函数
    */
jQuery.axse=function(url, data, successfn, errorfn) {
    data = (data == null || data == "" || typeof (data) == "undefined") ? { "date": new Date().getTime() } : data;
    $.ajax({
        beforeSend: function (xhr) { //可以设置自定义标头
            xhr.setRequestHeader('token', window.localStorage.getItem('token'));
        },
        contentType: "application/json;charset=UTF-8",
        xhrFields: {
            withCredentials: true // 这里设置了withCredentials
        },
        type: "post",
        data: data,
        url: url,
        dataType: "json",
        success: function (d) {
            successfn(d);
        },
        error: function (e) {
            errorfn(e);
        }
    });
};